/*
 * TrgConfCut.h
 *
 *  Created on: 10-mar-2009
 *      Author: Nicola Mori, S. Ricciarini
 */

/*! @file TrgConfCut.cpp The TrgConfCut class declaration file */

#ifndef TRGCONFCUT_H_
#define TRGCONFCUT_H_

#include "../../PamCutBase/PamCutBase.h"

/*TODO: adattare il taglio anche per TOF4*/

/*! @brief trigger configuration cut: trigger conf. must be TOF1
 */
class TrgConfCut: public PamCut {

public:
  /*! @brief Constructor.
   *
   * @param cutName The cut's name.
   * @return
   */
  TrgConfCut(const char *cutName): PamCut(cutName){
  }
  /*! @brief Destructor. */
  ~TrgConfCut() {
  }

  /*! @brief The trigger configuration check.
   *
   * @param event The event to analyze.
   * @return #CUTOK if trigger configuration is TOF1.
   * @return 0 otherwise.
   */
  int Check(PamLevel2 *event);

};
#endif /* TRGCONFCUT_H_ */
